<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright &copy; 2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "maincore.php";
require_once "subheader.php";
require_once "side_left.php";
include LOCALE.LOCALESET."news_cats.php";

if (isset($cat_id) && !isNum($cat_id)) fallback(FUSION_SELF);

opentable($locale['400']);
if (isset($cat_id)) {
	$news_per_page = 10;
	$items_per_page = 10;
	$rows = dbcount("(news_id)", "news", groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")");
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) {
	$res = 0;
	$result = dbquery("SELECT * FROM ".$db_prefix."news_cats WHERE news_cat_id='$cat_id'");
	if (dbrows($result) || $cat_id == 0) {
		$data = dbarray($result);
		$rows = dbcount("(news_id)", "news", "news_cat='$cat_id' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")");
		if ($rows) {
			$res = 1;
			echo "<table style='width: 100%; text-align: left;' cellpadding='2' cellspacing='1' class='tbl-border'>\n";
			if ($cat_id != 0) {
				echo "<tr>

</tr>\n";
	echo "<tr>
<td width='50%' style='vertical-align: top; text-align: center;' class='tbl1'><b>".$locale['401']."</b>
".$data['news_cat_name']."<br>
</td>
<td width='50%' style='vertical-align: top; text-align: center;' class='tbl1'><b>".$locale['402']."</b> $rows<br>
</td>
</tr>";
	echo "<tr>
<td colspan='2' rowspan='1' style='vertical-align: top; text-align: center;' class='tbl1'><b><a href='".FUSION_SELF."'>".$locale['406']."</a></b><br>
</td>

</tr>";
	
				echo "</table>\n";
				tablebreak();

$result2 = dbquery(
			"SELECT tn.*, user_id, user_name FROM ".$db_prefix."news tn
			LEFT JOIN ".$db_prefix."users tu ON tn.news_name=tu.user_id
			WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_cat=$cat_id
			ORDER BY news_datestamp DESC LIMIT $rowstart,$items_per_page"
		);
			while ($data2 = dbarray($result2)) {
opentable($data2['news_subject']);
echo "<table width='100%' cellpadding='2' cellspacing='1' class='tbl-border'>
<tr><td align='left' class='tbl1'>".stripslashes(nl2br($data2['news_news']))."</td></tr>";
echo "<tr><td class='tbl2' width='100%' align='center'>\n";
					
			if (checkrights("N")) echo "<form name='editnews".$data2['news_id']."' method='post' action='".ADMIN."news.php?news_id=".$data2['news_id']."'>\n";
echo "<span class='small2'><img src='".THEME."images/bullet.gif' alt=''> ".$locale['040']." <a href='profile.php?lookup=".$data2['user_id']."'>".$data2['user_name']."</a> ".$locale['041'].showdate("longdate", $data2['news_datestamp'])." &middot;\n";

if ($data2['news_extended']) {
						echo $data2['news_breaks'] == "y" ? "<a href='news.php?readmore=".$data2['news_id']."'>".$locale['042']."</a> &middot;\n" : "";
}
if ($data2['news_allow_comments']) {
						echo $data2['news_allow_comments'] ? "<a href='news.php?readmore=".$data2['news_id']."'>".dbcount("(comment_item_id)", "comments", "comment_item_id='".$data2['news_id']."'", "comment_type='N'").$locale['043']."</a> &middot;\n" : "";
						echo $data2['news_reads'].$locale['044']." &middot;\n";
					}
echo "<a href='print.php?type=N&amp;item_id=".$data2['news_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['045']."' style='border:0px;vertical-align:middle;'></a>";
					if (checkrights("N")) { $news_[0] .= " &middot; <input type='hidden' name='edit' value='edit'><a href='javascript:document.editnews".$data2['news_id'].".submit();'><img src='".IMAGES."edit.gif' alt='".$locale['048']."' title='".$locale['048']."' style='vertical-align:middle;border:0px;'></a></span>\n</form>\n"; } else { $news_[0] .= "</span>\n";
}
				
echo "</td></tr></table>\n";
closetable();
tablebreak();
	}
		}
			} else {
			echo "<table style='width: 100%; text-align: left;' cellpadding='2' cellspacing='1' class='tbl-border' style='margin-bottom:5px;'>\n";
			if ($cat_id != 0) {
				echo "<tr>
<td colspan='2' rowspan='1' style='vertical-align: top;' align='center' class='tbl2'><img src='".IMAGES_NC.$data['news_cat_image']."'></td>
</tr>\n";
	echo "<tr>
<td width='50%' style='vertical-align: top; text-align: center;' class='tbl1'><b>".$locale['401']."</b>
".$data['news_cat_name']."<br>
</td>
<td width='50%' style='vertical-align: top; text-align: center;' class='tbl1'><b>".$locale['402']."</b> $rows<br>
</td>
</tr>";
	echo "<tr>
<td colspan='2' rowspan='1' style='vertical-align: top; text-align: center;' class='tbl1'><b><a href='".FUSION_SELF."'>".$locale['406']."</a></b><br>
</td>

</tr>";
	}
				echo "</table>\n";
				tablebreak();

			echo "
<table width='100%' cellpadding='2' cellspacing='1' class='tbl-border'><tr>
<td align='center' class='tbl2'><br><b>BRAK NEWSW W KATEGORII</b><br><br></td></tr></table>
";
			}
if ($rows > $items_per_page) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$items_per_page,$rows,3,FUSION_SELF."?cat_id=$cat_id&amp;")."\n</div>\n";
		} 
	}
} else {
	$res = 0;
	$result = dbquery("SELECT * FROM ".$db_prefix."news_cats ORDER BY news_cat_id");
	if (dbrows($result)) {
		echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";
		while ($data = dbarray($result)) {
			$rows = dbcount("(news_id)", "news", "news_cat='".$data['news_cat_id']."' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")");
			echo "<tr>\n<td width='150' class='tbl1' style='vertical-align:top'><a href='".FUSION_SELF."?cat_id=".$data['news_cat_id']."'><img src='".IMAGES_NC.$data['news_cat_image']."'></a><br><br>\n";
			echo "<b>".$locale['401']."</b> ".$data['news_cat_name']."<br>\n<b>".$locale['402']."</b> $rows</td>\n";
			echo "<td class='tbl1' style='vertical-align:top'>\n";
			if ($rows) {
				$result2 = dbquery("SELECT * FROM ".$db_prefix."news WHERE news_cat='".$data['news_cat_id']."' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") ORDER BY news_datestamp DESC LIMIT 30");
				while ($data2 = dbarray($result2)) {
					echo "<img src='".THEME."images/bullet.gif' alt=''> <a href='news.php?readmore=".$data2['news_id']."'>".$data2['news_subject']."</a><br>\n";
				}
				if ($rows > 30) echo "<div style='text-align:right'><img src='".THEME."images/bullet.gif' alt=''> <a href='".FUSION_SELF."?cat_id=".$data['news_cat_id']."'>".$locale['405']."</a></div>\n";
			} else {
				echo "<img src='".THEME."images/bullet.gif' alt=''> ".$locale['404']."\n";
			}
		}
		$res = 1;
	}
	$result = dbquery("SELECT * FROM ".$db_prefix."news WHERE news_cat='0' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") ORDER BY news_datestamp DESC LIMIT 30");
	if (dbrows($result)) {
		if ($res == 0) echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";
		$nrows = dbcount("(news_id)", "news", "news_cat='0' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")");
		echo "</td>\n</tr>\n<tr>\n<td width='150' class='tbl1' style='vertical-align:top'>".$locale['403']."<br>\n";
		echo "<b>".$locale['402']."</b> $nrows</td>\n<td class='tbl1' style='vertical-align:top'>\n";
		while ($data = dbarray($result)) {
			echo "<img src='".THEME."images/bullet.gif' alt=''> <a href='news.php?readmore=".$data['news_id']."'>".$data['news_subject']."</a><br>\n";
		}
		$res = 1;
		if ($nrows > 30) echo "<div style='text-align:right'><img src='".THEME."images/bullet.gif' alt=''> <a href='".FUSION_SELF."?cat_id=0'>".$locale['405']."</a></div>\n";
	}
	if ($res == 1) {
		echo "</td>\n</tr>\n</table>\n";
	} else {
		echo "<center><br>\n".$locale['407']."<br><br>\n</center>\n";
	}
}
closetable();

require_once "side_right.php";
require_once "footer.php";
?>